Package com.verisign.epp.codec.launchpolicy.v01

## Class EPPLaunchPolicyPhase

- java.lang.Object
- - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhase

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPLaunchPolicyPhase
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPLaunchPolicyPhase` represents the policies for a zone phase.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EPPLaunchPolicyPhase.CheckForm` | Possible check forms supported by the phase.
    `static class` | `EPPLaunchPolicyPhase.CreateForm` | Possible create forms supported by the phase.
    `static class` | `EPPLaunchPolicyPhase.MarkValidation` | Possible mark validation models supported by the phase.
    `static class` | `EPPLaunchPolicyPhase.Mode` | `Mode` defines how the phase operates, which include the following possible values: `fcfs` - In this mode, each domain name is immediately created and there is no use of an application identifier. `pendingRegistration` - In this mode, the domain name is created with the "pendingCreate" status with no use of an application identifier.
    `static class` | `EPPLaunchPolicyPhase.Phase` | `Phase` defines the type of phase, which include the following possible values: `preDelegation` - Phase when pre-delegation testing is done.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | Constant for the phase local name
    `static java.lang.String` | `ELM_NAME` | Constant for the phase qualified name (prefix and local name)

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPLaunchPolicyPhase()` | `EPPLaunchPolicyPhase` default constructor.
    `EPPLaunchPolicyPhase​(EPPLaunchPolicyPhase.Phase aPhase, java.lang.String aName, EPPLaunchPolicyPhase.Mode aMode, java.util.Date aStartDate, java.util.Date aEndDate, java.lang.Boolean aValidatePhase, java.util.List<java.lang.String> aValidatorIds, java.util.List<EPPLaunchPolicyPhaseStatus> aStatuses, java.lang.Boolean aPendingCreate, EPPLaunchPolicyPollPolicy aPollPolicy, java.util.List<EPPLaunchPolicyPhase.MarkValidation> aMarkValidations, java.lang.Integer aMaxMarks, java.util.List<java.lang.String> aMarksSupported, java.util.List<java.lang.String> aSignedMarksSupported, java.util.List<java.lang.String> aEncodedSignedMarksSupported, java.util.List<EPPLaunchPolicyPhase.CheckForm> aCheckForms, java.util.List<EPPLaunchPolicyPhase.CreateForm> aCreateForms, java.lang.Boolean aCreateValidateType)` | `EPPLaunchPolicyPhase` constructor that takes attributes.
    `EPPLaunchPolicyPhase​(EPPLaunchPolicyPhase.Phase aPhase, java.util.Date aStartDate)` | `EPPLaunchPolicyPhase` constructor that takes the required set of attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCheckForm​(EPPLaunchPolicyPhase.CheckForm aCheckForm)` | Adds a check form to the check form list.
    `void` | `addCreateForm​(EPPLaunchPolicyPhase.CreateForm aCreateForm)` | Adds a create form to the create form list.
    `void` | `addEncodedSignedMarkSupported​(java.lang.String aEncodedSignedMarkSupported)` | Add an encoded signed mark XML namespace to the list of supported encoded signed mark XML namespaces.
    `void` | `addInfoPhase​(EPPLaunchPolicyInfoPhase aInfoPhase)` | Adds an info phase to the info phase list, which defines the supported info phase values.
    `void` | `addMarkSupported​(java.lang.String aMarkSupported)` | Add a mark XML namespace to the list of supported mark XML namespaces.
    `void` | `addMarkValidation​(EPPLaunchPolicyPhase.MarkValidation aMarkValidation)` | Adds a mark validation model to the mark validation list.
    `void` | `addSignedMarkSupported​(java.lang.String aSignedMarkSupported)` | Add a signed mark XML namespace to the list of supported signed mark XML namespaces.
    `void` | `addStatus​(EPPLaunchPolicyPhaseStatus aStatus)` | Adds a status to the status list.
    `void` | `addValidatorId​(java.lang.String aValidatorId)` | Add a validator identifier to the list of supported Validator Identifier values for the phase.
    `java.lang.Object` | `clone()` | Clone `EPPLaunchPolicyPhase` instance.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPLaunchPolicyPhase` element aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPLaunchPolicyPhase` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPLaunchPolicyPhase` compare.
    `java.util.List<EPPLaunchPolicyPhase.CheckForm>` | `getCheckForms()` | Gets the check form list.
    `java.util.List<EPPLaunchPolicyPhase.CreateForm>` | `getCreateForms()` | Gets the create form list.
    `java.lang.Boolean` | `getCreateValidateType()` | Gets the OPTIONAL boolean value that indicates whether the server validates the OPTIONAL <launch:create> "type" attribute.
    `java.util.List<java.lang.String>` | `getEncodedSignedMarksSupported()` | Gets the encoded signed marks supported list, which is the list of XML namespaces of the encoded signed marks that are supported in the phase.
    `java.util.Date` | `getEndDate()` | Get the OPTIONAL end date and time for the phase.
    `java.util.List<EPPLaunchPolicyInfoPhase>` | `getInfoPhases()` | Gets the info phase list.
    `java.util.List<java.lang.String>` | `getMarksSupported()` | Gets the marks supported list, which is the list of XML namespaces of the marks that are supported in the phase.
    `java.util.List<EPPLaunchPolicyPhase.MarkValidation>` | `getMarkValidations()` | Gets the mark validation list.
    `java.lang.Integer` | `getMaxMarks()` | Gets the OPTIONAL maximum number of marks per domain name for the phase.
    `EPPLaunchPolicyPhase.Mode` | `getMode()` | Gets the mode value.
    `java.lang.String` | `getName()` | Gets the OPTIONAL phase name or sub-phase name.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.Boolean` | `getPendingCreate()` | Gets the OPTIONAL boolean value that indicates that the server will place the Launch Application or the Launch Registration in the "pendingCreate" status as specified in [RFC5731].
    `EPPLaunchPolicyPhase.Phase` | `getPhase()` | Gets the phase value.
    `EPPLaunchPolicyPollPolicy` | `getPollPolicy()` | Gets the poll policy value.
    `java.util.List<java.lang.String>` | `getSignedMarksSupported()` | Gets the signed marks supported list, which is the list of XML namespaces of the signed marks that are supported in the phase.
    `java.util.Date` | `getStartDate()` | Get the start date and time for the phase.
    `java.util.List<EPPLaunchPolicyPhaseStatus>` | `getStatuses()` | Gets the status list.
    `java.lang.Boolean` | `getValidatePhase()` | Gets the OPTIONAL boolean value that indicates whether the server validates the phase provided by the client in the <launch:phase> element.
    `java.util.List<java.lang.String>` | `getValidatorIds()` | Gets the validator identifier list.
    `boolean` | `hasCheckForms()` | Is the check form list defined?
    `boolean` | `hasCreateForms()` | Is the create form list defined?
    `boolean` | `hasCreateValidateType()` | Is the create validate type flag defined?
    `boolean` | `hasEncodedSignedMarksSupported()` | Is the encoded signed marks supported list defined?
    `boolean` | `hasEndDate()` | Is the end date defined?
    `boolean` | `hasInfoPhases()` | Is the info phase list defined?
    `boolean` | `hasMarksSupported()` | Is the marks supported list defined?
    `boolean` | `hasMarkValidations()` | Is the mark validation list defined?
    `boolean` | `hasMaxMarks()` | Is the max marks defined?
    `boolean` | `hasName()` | Is the name defined?
    `boolean` | `hasPendingCreate()` | Is the pending create flag defined?
    `boolean` | `hasPhase()` | Is the phase defined?
    `boolean` | `hasPollPolicy()` | Is the poll policy defined?
    `boolean` | `hasSignedMarksSupported()` | Is the signed marks supported list defined?
    `boolean` | `hasStartDate()` | Is the start date defined?
    `boolean` | `hasStatuses()` | Is the status list defined?
    `boolean` | `hasValidatePhase()` | Is the validate phase flag defined?
    `boolean` | `hasValidatorIds()` | Is the validator identifier list defined?
    `void` | `setCheckForms​(java.util.List<EPPLaunchPolicyPhase.CheckForm> aCheckForms)` | Sets the check form list.
    `void` | `setCreateDate​(java.util.Date aStartDate)` | Set start date and time for the phase.
    `void` | `setCreateForms​(java.util.List<EPPLaunchPolicyPhase.CreateForm> aCreateForms)` | Sets the create form list.
    `void` | `setCreateValidateType​(java.lang.Boolean aCreateValidateType)` | Sets the OPTIONAL boolean value that indicates whether the server validates the OPTIONAL <launch:create> "type" attribute.
    `void` | `setEncodedSignedMarksSupported​(java.util.List<java.lang.String> aEncodedSignedMarksSupported)` | Sets the encoded signed marks supported list, which is the list of XML namespaces of the encoded signed marks that are supported in the phase.
    `void` | `setEndDate​(java.util.Date aEndDate)` | Set end date and time for the phase.
    `void` | `setInfoPhases​(java.util.List<EPPLaunchPolicyInfoPhase> aInfoPhases)` | Sets the info phase list.
    `void` | `setMarksSupported​(java.util.List<java.lang.String> aMarksSupported)` | Sets the marks supported list, which is the list of XML namespaces of the marks that are supported in the phase.
    `void` | `setMarkValidations​(java.util.List<EPPLaunchPolicyPhase.MarkValidation> aMarkValidations)` | Sets the mark validation list.
    `void` | `setMaxMarks​(java.lang.Integer aMaxMarks)` | Sets the OPTIONAL maximum number of marks per domain name for the phase.
    `void` | `setMode​(EPPLaunchPolicyPhase.Mode aMode)` | Sets the mode value.
    `void` | `setName​(java.lang.String aName)` | Sets the OPTIONAL phase name or sub-phase name.
    `void` | `setPendingCreate​(java.lang.Boolean aPendingCreate)` | Sets the OPTIONAL boolean flag that indicates that the server will place the Launch Application or the Launch Registration in the "pendingCreate" status as specified in [RFC5731].
    `void` | `setPhase​(EPPLaunchPolicyPhase.Phase aPhase)` | Sets the phase value.
    `void` | `setPollPolicy​(EPPLaunchPolicyPollPolicy aPollPolicy)` | Sets the poll policy value.
    `void` | `setSignedMarksSupported​(java.util.List<java.lang.String> aSignedMarksSupported)` | Sets the signed marks supported list, which is the list of XML namespaces of the signed marks that are supported in the phase.
    `void` | `setStatuses​(java.util.List<EPPLaunchPolicyPhaseStatus> aStatuses)` | Sets the status list.
    `void` | `setValidatePhase​(java.lang.Boolean aValidatePhase)` | Sets the OPTIONAL boolean flag that indicates whether the server validates the phase provided by the client in the <launch:phase> element.
    `void` | `setValidatorIds​(java.util.List<java.lang.String> aValidatorIds)` | Sets the validator identifier list.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
    `void` | `validateState()` | Validate the state of the `EPPLaunchPolicyPhase` instance.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the phase local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the phase qualified name (prefix and local name)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchPolicyPhase

          public EPPLaunchPolicyPhase()

      `EPPLaunchPolicyPhase` default constructor.

    - #### EPPLaunchPolicyPhase

          public EPPLaunchPolicyPhase​(EPPLaunchPolicyPhase.Phase aPhase,
                                      java.util.Date aStartDate)

      `EPPLaunchPolicyPhase` constructor that takes the required set of attributes.
      Parameters:
        `aPhase` - The launch phase
        `aStartDate` - Start date and time for the phase.

    - #### EPPLaunchPolicyPhase

          public EPPLaunchPolicyPhase​(EPPLaunchPolicyPhase.Phase aPhase,
                                      java.lang.String aName,
                                      EPPLaunchPolicyPhase.Mode aMode,
                                      java.util.Date aStartDate,
                                      java.util.Date aEndDate,
                                      java.lang.Boolean aValidatePhase,
                                      java.util.List<java.lang.String> aValidatorIds,
                                      java.util.List<EPPLaunchPolicyPhaseStatus> aStatuses,
                                      java.lang.Boolean aPendingCreate,
                                      EPPLaunchPolicyPollPolicy aPollPolicy,
                                      java.util.List<EPPLaunchPolicyPhase.MarkValidation> aMarkValidations,
                                      java.lang.Integer aMaxMarks,
                                      java.util.List<java.lang.String> aMarksSupported,
                                      java.util.List<java.lang.String> aSignedMarksSupported,
                                      java.util.List<java.lang.String> aEncodedSignedMarksSupported,
                                      java.util.List<EPPLaunchPolicyPhase.CheckForm> aCheckForms,
                                      java.util.List<EPPLaunchPolicyPhase.CreateForm> aCreateForms,
                                      java.lang.Boolean aCreateValidateType)

      `EPPLaunchPolicyPhase` constructor that takes attributes.
      Parameters:
        `aPhase` - The launch phase
        `aName` - The sub-phase name or the custom name if `aPhase` is `EPPLaunchPolicyPhase.Phase.custom`. Set to `null` if undefined.
        `aMode` - Phase operation mode. Setting to `null` will set the mode ot the default of `EPPLaunchPolicyPhase.Mode.fcfs`.
        `aStartDate` - Start date and time for the phase.
        `aEndDate` - OPTIONAL end date and time for the phase. Set to `null` if undefined.
        `aValidatePhase` - OPTIONAL boolean value that indicates whether the server validates the phase provided by the client in the <launch:phase> element. Set to `null` if undefined.
        `aValidatorIds` - List of validator identifiers.
        `aStatuses` - List of supported phase statuses
        `aPendingCreate` - OPTIONAL boolean value that indicates that the server will place the Launch Application or the Launch Registration in the "pendingCreate" status as specified in [RFC5731]. Set to `null` if undefined.
        `aPollPolicy` - An OPTIONAL element that defines the poll messaging policy for the phase. Set to `null` if undefined.
        `aMarkValidations` - Supported mark validation models. Set to `null` if undefined.
        `aMaxMarks` - OPTIONAL maximum number of marks per domain name for the phase. Set to {code null} if undefined.
        `aMarksSupported` - Supported mark XML namespaces. Set to `null` if undefined.
        `aSignedMarksSupported` - Supported signed mark XML namespaces. Set to `null` if undefined.
        `aEncodedSignedMarksSupported` - Supported encoded signed mark XML namespaces. Set to `null` if undefined.
        `aCheckForms` - Supported check forms. Set to `null` if undefined.
        `aCreateForms` - Supported create forms. Set to `null` if undefined.
        `aCreateValidateType` - OPTIONAL boolean value that indicates whether the server validates the OPTIONAL <launch:create> "type" attribute. Set to `null` if undefined.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLaunchPolicyPhase` instance.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPLaunchPolicyPhase`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### validateState

          public void validateState()
                             throws EPPCodecException

      Validate the state of the `EPPLaunchPolicyPhase` instance. A valid state means that all of the required attributes have been set. If validateState returns without an exception, the state is valid. If the state is not valid, the `EPPCodecException` will contain a description of the error. throws EPPCodecException State error. This will contain the name of the attribute that is not valid.
      Throws:
        `EPPCodecException` - On invalid state

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPLaunchPolicyPhase` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the `EPPLaunchPolicyPhase` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPLaunchPolicyPhase` instance.

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPLaunchPolicyPhase` element aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode `EPPLaunchPolicyPhase` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPLaunchPolicyPhase` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPLaunchPolicyPhase` instance to compare with
      Returns:
        `true` if equal; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

    - #### hasPhase

          public boolean hasPhase()

      Is the phase defined?
      Returns:
        `true` if the phase is defined; `false` otherwise.

    - #### getPhase

          public EPPLaunchPolicyPhase.Phase getPhase()

      Gets the phase value.
      Returns:
        `EPPLaunchPolicyPhase.Phase` enumerated value if set; `null` otherwise.

    - #### setPhase

          public void setPhase​(EPPLaunchPolicyPhase.Phase aPhase)

      Sets the phase value.
      Parameters:
        `aPhase` - Sets the phase value.

    - #### hasName

          public boolean hasName()

      Is the name defined?
      Returns:
        `true` if the name is defined; `false` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the OPTIONAL phase name or sub-phase name.
      Returns:
        The phase name or sub-phase name if defined; `null` otherwise.

    - #### setName

          public void setName​(java.lang.String aName)

      Sets the OPTIONAL phase name or sub-phase name.
      Parameters:
        `aName` - Phase name

    - #### getMode

          public EPPLaunchPolicyPhase.Mode getMode()

      Gets the mode value.
      Returns:
        `EPPLaunchPolicyPhase.Mode` enumerated value, with the default value of `EPPLaunchPolicyPhase.Mode.fcfs`.

    - #### setMode

          public void setMode​(EPPLaunchPolicyPhase.Mode aMode)

      Sets the mode value.
      Parameters:
        `aMode` - Sets the phase value. If `null` the default value of `EPPLaunchPolicyPhase.Mode.fcfs`.

    - #### hasStartDate

          public boolean hasStartDate()

      Is the start date defined?
      Returns:
        `true` if the start date is defined; `false` otherwise.

    - #### getStartDate

          public java.util.Date getStartDate()

      Get the start date and time for the phase.
      Returns:
        Start date and time for the phase.

    - #### setCreateDate

          public void setCreateDate​(java.util.Date aStartDate)

      Set start date and time for the phase.
      Parameters:
        `aStartDate` - Start date and time for the phase.

    - #### hasEndDate

          public boolean hasEndDate()

      Is the end date defined?
      Returns:
        `true` if the start date is defined; `false` otherwise.

    - #### getEndDate

          public java.util.Date getEndDate()

      Get the OPTIONAL end date and time for the phase.
      Returns:
        End date and time for the phase if defined; `null` otherwise.

    - #### setEndDate

          public void setEndDate​(java.util.Date aEndDate)

      Set end date and time for the phase.
      Parameters:
        `aEndDate` - End date and time for the phase. Set to `null` if undefined.

    - #### hasValidatePhase

          public boolean hasValidatePhase()

      Is the validate phase flag defined?
      Returns:
        `true` if the validate phase flag is defined; `false` otherwise.

    - #### getValidatePhase

          public java.lang.Boolean getValidatePhase()

      Gets the OPTIONAL boolean value that indicates whether the server validates the phase provided by the client in the <launch:phase> element.
      Returns:
        `true` or `false` indicating whether the server validates the phase provided by the client in the <launch:phase> element if defined; `null` otherwise.

    - #### setValidatePhase

          public void setValidatePhase​(java.lang.Boolean aValidatePhase)

      Sets the OPTIONAL boolean flag that indicates whether the server validates the phase provided by the client in the <launch:phase> element.
      Parameters:
        `aValidatePhase` - `true` or `false` indicating whether the server validates the phase provided by the client in the <launch:phase> element. Set to `null` if undefined.

    - #### hasValidatorIds

          public boolean hasValidatorIds()

      Is the validator identifier list defined?
      Returns:
        `true` if the validator identifier list is defined; `false` otherwise.

    - #### getValidatorIds

          public java.util.List<java.lang.String> getValidatorIds()

      Gets the validator identifier list.
      Returns:
        Validator identifiers

    - #### setValidatorIds

          public void setValidatorIds​(java.util.List<java.lang.String> aValidatorIds)

      Sets the validator identifier list.
      Parameters:
        `aValidatorIds` - List of validator identifiers.

    - #### addValidatorId

          public void addValidatorId​(java.lang.String aValidatorId)

      Add a validator identifier to the list of supported Validator Identifier values for the phase.
      Parameters:
        `aValidatorId` - Validator identifier to the list of supported Validator Identifier values for the phase.

    - #### hasStatuses

          public boolean hasStatuses()

      Is the status list defined?
      Returns:
        `true` if the status list is defined; `false` otherwise.

    - #### getStatuses

          public java.util.List<EPPLaunchPolicyPhaseStatus> getStatuses()

      Gets the status list. which defines the supported launch status values.
      Returns:
        Supported launch statuses

    - #### setStatuses

          public void setStatuses​(java.util.List<EPPLaunchPolicyPhaseStatus> aStatuses)

      Sets the status list. which defines the supported launch status values.
      Parameters:
        `aStatuses` - List of supported launch statuses

    - #### addStatus

          public void addStatus​(EPPLaunchPolicyPhaseStatus aStatus)

      Adds a status to the status list. which defines the supported launch status values.
      Parameters:
        `aStatus` - Supported status to add to the supported launch status list.

    - #### hasPendingCreate

          public boolean hasPendingCreate()

      Is the pending create flag defined?
      Returns:
        `true` if the pending create flag is defined; `false` otherwise.

    - #### getPendingCreate

          public java.lang.Boolean getPendingCreate()

      Gets the OPTIONAL boolean value that indicates that the server will place the Launch Application or the Launch Registration in the "pendingCreate" status as specified in [RFC5731].
      Returns:
        `true` or `false` indicating that the server will place the Launch Application or the Launch Registration in the "pendingCreate" status as specified in [RFC5731] if defined; `null` otherwise.

    - #### setPendingCreate

          public void setPendingCreate​(java.lang.Boolean aPendingCreate)

      Sets the OPTIONAL boolean flag that indicates that the server will place the Launch Application or the Launch Registration in the "pendingCreate" status as specified in [RFC5731].
      Parameters:
        `aPendingCreate` - `true` or `false` indicating that the server will place the Launch Application or the Launch Registration in the "pendingCreate" status as specified in [RFC5731]. Set to `null` if undefined.

    - #### hasPollPolicy

          public boolean hasPollPolicy()

      Is the poll policy defined?
      Returns:
        `true` if the poll policy is defined; `false` otherwise.

    - #### getPollPolicy

          public EPPLaunchPolicyPollPolicy getPollPolicy()

      Gets the poll policy value.
      Returns:
        `EPPLaunchPolicyPollPolicy` instance if defined; `null` otherwise.

    - #### setPollPolicy

          public void setPollPolicy​(EPPLaunchPolicyPollPolicy aPollPolicy)

      Sets the poll policy value.
      Parameters:
        `aPollPolicy` - Sets the poll policy value.

    - #### hasMarkValidations

          public boolean hasMarkValidations()

      Is the mark validation list defined?
      Returns:
        `true` if the mark validation is defined; `false` otherwise.

    - #### getMarkValidations

          public java.util.List<EPPLaunchPolicyPhase.MarkValidation> getMarkValidations()

      Gets the mark validation list. which defines the supported mark validation models in the phase.
      Returns:
        Supported mark validation models statuses

    - #### setMarkValidations

          public void setMarkValidations​(java.util.List<EPPLaunchPolicyPhase.MarkValidation> aMarkValidations)

      Sets the mark validation list. which defines the supported mark validation models in the phase.
      Parameters:
        `aMarkValidations` - List of supported mark validation models

    - #### addMarkValidation

          public void addMarkValidation​(EPPLaunchPolicyPhase.MarkValidation aMarkValidation)

      Adds a mark validation model to the mark validation list. which defines the supported mark validation models in the phase.
      Parameters:
        `aMarkValidation` - Supported mark validation model to add to the mark validation list.

    - #### hasMaxMarks

          public boolean hasMaxMarks()

      Is the max marks defined?
      Returns:
        `true` if the max marks is defined; `false` otherwise.

    - #### getMaxMarks

          public java.lang.Integer getMaxMarks()

      Gets the OPTIONAL maximum number of marks per domain name for the phase.
      Returns:
        Maximum number of marks per domain name for the phase if defined; `null` otherwise.

    - #### setMaxMarks

          public void setMaxMarks​(java.lang.Integer aMaxMarks)

      Sets the OPTIONAL maximum number of marks per domain name for the phase.
      Parameters:
        `aMaxMarks` - Maximum number of marks per domain name for the phase. Set to `null` if undefined.

    - #### hasMarksSupported

          public boolean hasMarksSupported()

      Is the marks supported list defined?
      Returns:
        `true` if the marks supported list is defined; `false` otherwise.

    - #### getMarksSupported

          public java.util.List<java.lang.String> getMarksSupported()

      Gets the marks supported list, which is the list of XML namespaces of the marks that are supported in the phase.
      Returns:
        XML namespaces of the marks supported by the phase.

    - #### setMarksSupported

          public void setMarksSupported​(java.util.List<java.lang.String> aMarksSupported)

      Sets the marks supported list, which is the list of XML namespaces of the marks that are supported in the phase.
      Parameters:
        `aMarksSupported` - List of supported mark XML namespaces

    - #### addMarkSupported

          public void addMarkSupported​(java.lang.String aMarkSupported)

      Add a mark XML namespace to the list of supported mark XML namespaces.
      Parameters:
        `aMarkSupported` - XML namespace of the mark that is supported in the phase.

    - #### hasSignedMarksSupported

          public boolean hasSignedMarksSupported()

      Is the signed marks supported list defined?
      Returns:
        `true` if the signed marks supported list is defined; `false` otherwise.

    - #### getSignedMarksSupported

          public java.util.List<java.lang.String> getSignedMarksSupported()

      Gets the signed marks supported list, which is the list of XML namespaces of the signed marks that are supported in the phase.
      Returns:
        XML namespaces of the signed marks supported by the phase.

    - #### setSignedMarksSupported

          public void setSignedMarksSupported​(java.util.List<java.lang.String> aSignedMarksSupported)

      Sets the signed marks supported list, which is the list of XML namespaces of the signed marks that are supported in the phase.
      Parameters:
        `aSignedMarksSupported` - List of supported signed mark XML namespaces

    - #### addSignedMarkSupported

          public void addSignedMarkSupported​(java.lang.String aSignedMarkSupported)

      Add a signed mark XML namespace to the list of supported signed mark XML namespaces.
      Parameters:
        `aSignedMarkSupported` - XML namespace of the signed mark that is supported in the phase.

    - #### hasEncodedSignedMarksSupported

          public boolean hasEncodedSignedMarksSupported()

      Is the encoded signed marks supported list defined?
      Returns:
        `true` if the encoded signed marks supported list is defined; `false` otherwise.

    - #### getEncodedSignedMarksSupported

          public java.util.List<java.lang.String> getEncodedSignedMarksSupported()

      Gets the encoded signed marks supported list, which is the list of XML namespaces of the encoded signed marks that are supported in the phase.
      Returns:
        XML namespaces of the encoded signed marks supported by the phase.

    - #### setEncodedSignedMarksSupported

          public void setEncodedSignedMarksSupported​(java.util.List<java.lang.String> aEncodedSignedMarksSupported)

      Sets the encoded signed marks supported list, which is the list of XML namespaces of the encoded signed marks that are supported in the phase.
      Parameters:
        `aEncodedSignedMarksSupported` - List of supported encoded signed mark XML namespaces

    - #### addEncodedSignedMarkSupported

          public void addEncodedSignedMarkSupported​(java.lang.String aEncodedSignedMarkSupported)

      Add an encoded signed mark XML namespace to the list of supported encoded signed mark XML namespaces.
      Parameters:
        `aEncodedSignedMarkSupported` - XML namespace of the signed mark that is supported in the phase.

    - #### hasCheckForms

          public boolean hasCheckForms()

      Is the check form list defined?
      Returns:
        `true` if the check form list is defined; `false` otherwise.

    - #### getCheckForms

          public java.util.List<EPPLaunchPolicyPhase.CheckForm> getCheckForms()

      Gets the check form list. which defines the supported check forms in the phase.
      Returns:
        Supported check forms

    - #### setCheckForms

          public void setCheckForms​(java.util.List<EPPLaunchPolicyPhase.CheckForm> aCheckForms)

      Sets the check form list. which defines the supported check forms in the phase.
      Parameters:
        `aCheckForms` - List of supported check forms

    - #### addCheckForm

          public void addCheckForm​(EPPLaunchPolicyPhase.CheckForm aCheckForm)

      Adds a check form to the check form list. which defines the supported check forms in the phase.
      Parameters:
        `aCheckForm` - Supported check form to add to the check form list.

    - #### hasInfoPhases

          public boolean hasInfoPhases()

      Is the info phase list defined?
      Returns:
        `true` if the info phase list is defined; `false` otherwise.

    - #### getInfoPhases

          public java.util.List<EPPLaunchPolicyInfoPhase> getInfoPhases()

      Gets the info phase list. which defines the supported info phase values.
      Returns:
        Supported info launch phases

    - #### setInfoPhases

          public void setInfoPhases​(java.util.List<EPPLaunchPolicyInfoPhase> aInfoPhases)

      Sets the info phase list. which defines the supported info phase values.
      Parameters:
        `aInfoPhases` - List of supported info phase values.

    - #### addInfoPhase

          public void addInfoPhase​(EPPLaunchPolicyInfoPhase aInfoPhase)

      Adds an info phase to the info phase list, which defines the supported info phase values.
      Parameters:
        `aInfoPhase` - Supported info phase to add to the supported info phase list.

    - #### hasCreateForms

          public boolean hasCreateForms()

      Is the create form list defined?
      Returns:
        `true` if the create form list is defined; `false` otherwise.

    - #### getCreateForms

          public java.util.List<EPPLaunchPolicyPhase.CreateForm> getCreateForms()

      Gets the create form list. which defines the supported create forms in the phase.
      Returns:
        Supported create forms

    - #### setCreateForms

          public void setCreateForms​(java.util.List<EPPLaunchPolicyPhase.CreateForm> aCreateForms)

      Sets the create form list. which defines the supported create forms in the phase.
      Parameters:
        `aCreateForms` - List of supported create forms

    - #### addCreateForm

          public void addCreateForm​(EPPLaunchPolicyPhase.CreateForm aCreateForm)

      Adds a create form to the create form list. which defines the supported create forms in the phase.
      Parameters:
        `aCreateForm` - Supported create form to add to the create form list.

    - #### hasCreateValidateType

          public boolean hasCreateValidateType()

      Is the create validate type flag defined?
      Returns:
        `true` if the create validate type flag is defined; `false` otherwise.

    - #### getCreateValidateType

          public java.lang.Boolean getCreateValidateType()

      Gets the OPTIONAL boolean value that indicates whether the server validates the OPTIONAL <launch:create> "type" attribute.
      Returns:
        `true` or `false` indicating whether the server validates the OPTIONAL <launch:create> "type" attribute. if defined; `null` otherwise.

    - #### setCreateValidateType

          public void setCreateValidateType​(java.lang.Boolean aCreateValidateType)

      Sets the OPTIONAL boolean value that indicates whether the server validates the OPTIONAL <launch:create> "type" attribute.
      Parameters:
        `aCreateValidateType` - `true` or `false` indicating whether the server validates the OPTIONAL <launch:create> "type" attribute. Set to `null` if undefined.